import request from '@/utils/request'

// 查询金句列表
export function listSentence(query) {
  return request({
    url: '/v1/api/wps/golden/goldenList',
    method: 'get',
    params: query
  })
}

// 查询金句详细
export function getSentence(id) {
  return request({
    url: '/v1/api/wps/golden/' + id,
    method: 'get'
  })
}

// 新增金句
export function addSentence(data) {
  return request({
    url: '/v1/api/wps/golden/goldenAdd',
    method: 'post',
    data: data
  })
}

// 修改金句
export function updateSentence(data) {
  return request({
    url: '/v1/api/wps/golden/goldenUpdate',
    method: 'post',
    data: data
  })
}

// 删除金句
export function delSentence(data) {
  return request({
    url: '/v1/api/wps/golden/goldenBatchDelete',
    method: 'post',
    data: data
  })
}
